package cn.ibizlab.r7.runtime.core.r7rt_base.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_base.domain.LoginAccount;
import cn.ibizlab.r7.runtime.core.r7rt_base.filter.LoginAccountSearchContext;

/**
 * 实体[LoginAccount] 服务对象接口
 */

public interface ILoginAccountService{
     LoginAccount get(String loginAccountId) ;
     LoginAccount get(LoginAccount loginAccount) ;
     boolean checkKey(LoginAccount loginAccount) ;
     LoginAccount updatePWD(LoginAccount loginAccount) ;
     boolean save(LoginAccount loginAccount) ;
     boolean remove(String loginAccountId) ;
     boolean create(LoginAccount loginAccount) ;
     LoginAccount getDraft(LoginAccount loginAccount) ;
     boolean update(LoginAccount loginAccount) ;

    /**
     * 查询集合 getLoginaccount
     */
    Page<LoginAccount> searchGetLoginaccount(LoginAccountSearchContext context) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<LoginAccount> searchDefault(LoginAccountSearchContext context) ;

    /**
     * 根据用户查询
     */
     Page<LoginAccount> selectByUser(String userid) ;
     List<LoginAccount> selectByUser2(String userid);

}
